--player texture
playerimage = love.graphics.newImage("textures/player.png")

--player data
player = {}
player.x = 300
player.y = 250
player.h = playerimage:getHeight() -- The height of the image of the player

--player stats
player.level = 1
player.strength = player.level*5+3 --equation for strength
player.speed = 200
player.velocity = 0 -- The force that makes the player move vertical.
player.onGround = false
player.gravity = 1000 -- How fast he falls. The higher the number, the faster he falls.
--Note that if you make the gravity number higher, you will need to make the velocity number lower.


--update player
function playerupdate(dt)
	--velocity update
	player.y = player.y + player.velocity * dt --update the y position
	if player.y + player.h < 325 then  -- if he is higher than the ground
		player.onGround = false -- He is not on the ground
		player.velocity = player.velocity + player.gravity * dt --Add gravity to the velocity
	else
		player.y = 325 - player.h
		player.onGround = true
		jump = true
	end

	--controls
	if moveright == true then
		if love.keyboard.isDown("right") or love.keyboard.isDown("d") then
			player.x = player.x + player.speed*dt
		end 
	end
	
	if moveleft == true then
		if love.keyboard.isDown("left") or love.keyboard.isDown("a") then
			player.x = player.x - player.speed*dt
		end 
	end
	
	if jump == true then
		if love.keyboard.isDown("up") or love.keyboard.isDown("w") then
			player.velocity = -500 --The lower the number the higher you jump. -1000 makes you jump really high.
			jump = false
		end 
	end
end